function log_meta(ts,logfunc,logger,logstr,varargin);
% Full or partial description of the metadata in a tsmat object
% varargin is, one input, cell array of strings with names of meta_cols
% if no varargin full meta_col are displayed
  
  res = view_meta(ts);
  n=size(res,2);
  str = [logstr ' %s']
  for i=1:n
    disp(res(i))
    logfunc(logger,sprintf(str,res(i)))
  end
 